import { get, post } from "@/utils/request";
//登录
export function login(data) {
    return post({
        url: '/v1/system/user/login',
        data,
        noNeedLogin: true
    })
}

export function create(data) {
    return post({
        url: '/v1/system/staff-apply/apply',
        data,
        noNeedLogin: true
    })
}

export function getClass(params) {
    return get({
        url: '/v1/system/clazz/get/clazz/list',
        params,
        noNeedLogin: true
    })
}

export function getCourse(params) {
    return get({
        url: '/v1/system/course-time/search',
        params,
        noNeedLogin: true
    })
}

export function getCategory(params) {
    return get({
        url: '/v1/system/clazz/get/category/list',
        params,
        noNeedLogin: true
    })
}