import {getUserInfo} from "@/storage";
import {
    UPDATE_USERINFO,
    CLEAR_USERINFO
} from "@/store/types";

export default {
    state: {
        userInfo:getUserInfo()
    },
    getters: {},
    mutations: {
        [UPDATE_USERINFO](state,data) {
            state.userInfo={
                ...state.userInfo,
                ...data,
            }
        },
        [CLEAR_USERINFO](state) {
            state.userInfo=""
        }
    },
}
